# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####
bl_info = {
    "name": "Better Add Menu",
    "author": "Quackers",
    "description": "UI improvements and quality-of-life tweaks for the 'Add Node' menu for Node Editors",
    "version" : (1, 1, 0),
    "blender": (4, 2, 0),
    "location": "Node Editor",
    "category": "Node",
}

from . import operators, ui, keymaps, prefs 
from .translation.translate import GetTranslationDict
import bpy
modules = (operators, ui, keymaps, prefs,)


def register():
    for module in modules:
        module.register()
    try:
        bpy.app.translations.register(__package__, GetTranslationDict())
    except:
        pass


def unregister():
    for module in modules:
        module.unregister()
    try:
        bpy.app.translations.unregister(__package__)
    except:
        pass



if __name__ == "__main__":
    register()
